Omniplex Docs

Stickers

These API endpoints are related to pack stickers, addressed standalone

Get All Pack Stickers

GET
/stickers/@all

Gets every pack sticker across every sticker pack, newest first. This endpoint is paginated.

Query Parameters

page?string

The page number

Response Body

Success

application/json
  1. response
count?integer
Range0 <= value <= 18446744073709552000
per_page?integer
Range0 <= value <= 18446744073709552000
results?array<>
Example Request
curl -X GET 'https://spider.omniplex.gg/stickers/@all'
Example Response
{  "count": 0,  "per_page": 0,  "results": [    {      "animated": true,      "created_at": "2019-08-24T14:15:22Z",      "downloads": 0,      "id": "string",      "name": "string",      "pack_name": "string",      "pack_url": "string"    }  ]}

Get Pack Sticker

GET
/stickers/{id}

Gets a single pack sticker by its own ID, along with its owning pack's identity and owner

Path Parameters

id*string

The sticker's ID

Response Body

Success

application/json
  1. response
animated?boolean
created_at?string
Formatdate-time
downloads?integer
id?string
name?string
owner?
pack_name?string
pack_url?string
position?integer
vanity?string
Example Request
curl -X GET 'https://spider.omniplex.gg/stickers/string'
Example Response
{  "animated": true,  "created_at": "2019-08-24T14:15:22Z",  "downloads": 0,  "id": "string",  "name": "string",  "owner": {    "avatar": "string",    "bot": true,    "display_name": "string",    "extra_data": {      "property1": null,      "property2": null    },    "flags": [      "string"    ],    "id": "string",    "status": "string",    "username": "string"  },  "pack_name": "string",  "pack_url": "string",  "position": 0,  "vanity": "string"}

Download Pack Sticker

POST
/stickers/{id}/download

Records a single-sticker download and returns the new total. Returns 204 on success

Path Parameters

id*string

The sticker's ID

Response Body

Success

application/json
  1. response
downloads?integer
Example Request
curl -X POST 'https://spider.omniplex.gg/stickers/string/download'
Example Response
{  "downloads": 0}